/*
* Copyright (C) 09-sept.-2003  Jean-Yves Beaujean 
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 2 of the License, or (at your option)
* any later version.
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
* more details.
* You should have received a copy of the GNU General Public License along with
* this program; if not, write to the Free Software Foundation, Inc.,  59
* Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* 
*/


package jxtray.swing;

import javax.swing.ImageIcon; 
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;
import java.awt.Component;

public class TreeRenderer  extends DefaultTreeCellRenderer
{

     public TreeRenderer()
     {

     }

      public Component getTreeCellRendererComponent(
                            JTree tree,
                            Object value,
                            boolean sel,
                            boolean expanded,
                            boolean leaf,
                            int row,
                            boolean hasFocus)
      {

            super.getTreeCellRendererComponent(
                            tree, value, sel,
                            expanded, leaf, row,
                            hasFocus);

            String text  = (String) ((TreeConnectionElement) value).getUserObject();

            TreeConnectionElement node = (TreeConnectionElement)value;

            ImageIcon _icon = null; 
            switch ( node.getType())
			{
            	case TreeConnectionElement.NODE_CONNECTION_CLOSE :
            		_icon = new ImageIcon(getClass().getResource("/images/icconnectionclosed.png"));
            		break;
            	case TreeConnectionElement.NODE_CONNECTION_OPEN :
            		_icon = new ImageIcon(getClass().getResource("/images/icconnection.png"));
            		break;
            	case TreeConnectionElement.NODE_DRIVER :
            		_icon = new ImageIcon(getClass().getResource("/images/driver.png"));
            		break;
            	case TreeConnectionElement.NODE_JDBCURL :
            		_icon = new ImageIcon(getClass().getResource("/images/globe.png"));
            		break;
            	case TreeConnectionElement.NODE_ROOT :
            		_icon = new ImageIcon(getClass().getResource("/images/root.png"));
            		break;
            	case TreeConnectionElement.NODE_USER :
            		_icon =new ImageIcon(getClass().getResource("/images/user.png"));
            		break;
            	default:
					break;
            }
            
            setIcon(_icon);
            this.setText(text);

            return this;
        }
        
}
